<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: development_admin.php
| Author: DrunkeN
+--------------------------------------------------------+
| Bug Tracker infusion
| Version: 1.00
| Author: Dark Fusion
| Develpers: DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."bug_tracker/infusion_db.php";
include INFUSIONS."bug_tracker/includes/copyright.php";


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."bug_tracker/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."bug_tracker/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."bug_tracker/locale/English.php";
}

add_to_head("<link rel='stylesheet' href='".INFUSIONS."bug_tracker/includes/bug-tracker_styles.css' type='text/css' media='Screen' />");


if (!checkrights("BUTR") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied. Administrators only."); }
    $bug_item = (isset($_GET['bug_item']) AND isnum($_GET['bug_item'])) ? $_GET['bug_item'] : "";
		
		
	include INFUSIONS."bug_tracker/admin/bug_tracker_navigation.php";
	
if (isset($_GET['status']) && !isset($message)) {
    $bdata = dbarray(dbquery("SELECT * FROM ".DB_BUG_TRACKER." WHERE bug_item = '".$bug_item."'"));
	if ($_GET['status'] == "sn") {
		$message = $locale['bugtr_am001']."<br />\n";
	} elseif ($_GET['status'] == "su") {
		$message = $locale['bugtr_am002']."<strong>".$bdata['bugtr_item']."</strong> ".$locale['bugtr_am003']."<br />\n";
	} elseif ($_GET['status'] == "del") {
		$message = $locale['bugtr_am004'];
	}
	if ($message) {
		$message = "<div class='bug-message'>".$message."</div>";
		if ($_GET['status'] == "sn" || $_GET['status'] == "su") {
			echo "<div id='close-message'>".$message."</div>\n";
		} else {
			echo "<div id='close-message'>".$message."</div>\n";
		}
	}
}
		
if (isset($_GET['action']) && $_GET['action'] == "delete") {
    $result = dbquery("DELETE FROM ".DB_BUG_TRACKER." WHERE bug_item='".$bug_item."'");
    redirect(FUSION_SELF.$aidlink."&status=del");
}

if (isset($_POST['add_bug'])) {
    if($_POST['bugtr_item'] != "" && $_POST['bugtr_message'] != "" && $_POST['bugtr_cedit'] != "" && $_POST['bugtr_type'] != "") {
    $bugtr_item = stripinput($_POST['bugtr_item']);
	$bugtr_type = stripinput($_POST['bugtr_type']);
	$bugtr_cedit = stripinput($_POST['bugtr_cedit']);
	$bugtr_cdiff = stripinput($_POST['bugtr_cdiff']);
	$bugtr_fusionv = stripinput($_POST['bugtr_fusionv']);
	$bugtr_ereason = stripinput($_POST['bugtr_ereason']);
    $bugtr_message = stripinput($_POST['bugtr_message']);
    if (isset($_GET['action']) && $_GET['action'] == "edit") {
    $result = dbquery("UPDATE ".DB_BUG_TRACKER." SET bugtr_euser='".$userdata['user_id']."', bugtr_datestamp2='".time()."', bugtr_datestamp2='".time()."', bugtr_ereason='".$bugtr_ereason."', bugtr_item='".$bugtr_item."', bugtr_type='".$bugtr_type."', bugtr_cedit='".$bugtr_cedit."', bugtr_cdiff='".$bugtr_cdiff."', bugtr_fusionv='".$bugtr_fusionv."', bugtr_message='".$bugtr_message."' WHERE bug_item='".$bug_item."'");
    redirect(FUSION_SELF.$aidlink."&status=su&bug_item=".$bug_item);
    } else {
    $result = dbquery("INSERT INTO ".DB_BUG_TRACKER." (bugtr_user, bugtr_item, bugtr_type, bugtr_cedit, bugtr_cdiff, bugtr_fusionv, bugtr_message, bugtr_datestamp) VALUES ('".$userdata['user_id']."', '".$bugtr_item."', '".$bugtr_type."', '".$bugtr_cedit."', '".$bugtr_cdiff."', '".$bugtr_fusionv."', '".$bugtr_message."', '".time()."')");
    redirect(FUSION_SELF.$aidlink."&status=sn&bug_item=".$bug_item); }
   } else {
      echo "<div align='center' class='bug-message' style='margin-bottom:5px;'>".$locale['bugtr_am005']."</div>\n"; }
   }

if (isset($_GET['action']) && $_GET['action'] == "edit") {
    $result = dbquery("SELECT * FROM ".DB_BUG_TRACKER." WHERE bug_item='".$bug_item."'");
    $data = dbarray($result);
    $bugtr_item = stripinput($data['bugtr_item']);
	$bugtr_type = stripinput($data['bugtr_type']);
	$bugtr_cedit = stripinput($data['bugtr_cedit']);
	$bugtr_cdiff = stripinput($data['bugtr_cdiff']);
	$bugtr_fusionv = stripinput($data['bugtr_fusionv']);
	$bugtr_ereason = stripinput($data['bugtr_ereason']);
    $bugtr_message = stripinput($data['bugtr_message']);
    $bugtr_action = FUSION_SELF.$aidlink."&amp;action=edit&amp;bug_item=".$bug_item;
    opentable($locale['bugtr_a001']);
} else {
    $bugtr_item = "";
	$bugtr_type = "";
	$bugtr_cedit = "";
	$bugtr_cdiff = "";
	$bugtr_fusionv = "";
	$bugtr_ereason = "";
    $bugtr_message = "";
    $bugtr_action = FUSION_SELF.$aidlink;
    opentable($locale['bugtr_a002']);
}

/* Pagenav added in v1.01 */
if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
	$rowstart = $_GET['rowstart'];
} else {
	$rowstart = 0;
} //


$bugs_perpage = 10;


require_once INCLUDES."bbcode_include.php";
    echo "<form name='inputform' method='post' action='".$bugtr_action."'>\n";
    echo "<table align='center' width='100%' cellspacing='1' cellpadding='0'>\n<tr>\n";
    echo "<td class='tbl' style='white-space:nowrap'><strong>".$locale['bugtr_a003']."</strong></td>\n";
    echo "<td class='tbl'><input type='text' name='bugtr_item' value='".$bugtr_item."' class='textbox' style='width:250px;' />\n";
	echo "</td>\n</tr>\n<tr>";
    echo "<td valign='top' class='tbl'><strong>".$locale['bugtr_a004']."</strong></td>\n";
    echo "<td class='tbl'><textarea name='bugtr_message' cols='60' rows='20' class='textbox' style='width:98%;'>".htmlspecialchars_decode(stripslashes($bugtr_message))."</textarea><br />\n";
    echo display_bbcodes("98%", "bugtr_message", "inputform")."\n";
    echo "</td>\n</tr>\n<tr>\n";
	if(isset($_GET['action']) && $_GET['action'] == "edit"){
    echo "<td valign='top' class='tbl'><strong>".$locale['bugtr_a005']."</strong></td>\n";
    echo "<td class='tbl'><textarea name='bugtr_ereason' cols='60' rows='7' class='textbox' style='width:30%;'>".htmlspecialchars_decode(stripslashes($bugtr_ereason))."</textarea><br />\n";
    echo display_bbcodes("30%", "bugtr_ereason", "inputform")."\n";
    echo "</td>\n</tr>\n<tr>\n";
	}
	echo "<td class='tbl' style='white-space:nowrap'><strong>".$locale['bugtr_a006']."</strong></td>\n";
    echo "<td class='tbl'><input type='text' name='bugtr_fusionv' value='".$bugtr_fusionv."' class='textbox' style='width:50px;' />\n";
	echo "</td>\n</tr>\n<tr>";
	echo "<td valign='top' class='tbl'><strong>".$locale['bugtr_a007']."</strong></td>\n";
    echo"<td class='tbl'><select name='bugtr_type' class='textbox' style='width:120px;'>\n";
	echo "<option value='0'(".($data['bugtr_type'] == '0' ? " selected" : "").">".$locale['bugtr_t000']."</option>\n";
	echo "<option value='1'(".($data['bugtr_type'] == '1' ? " selected" : "").">".$locale['bugtr_t001']."</option>\n";
	echo "<option value='2'(".($data['bugtr_type'] == '2' ? " selected" : "").">".$locale['bugtr_t002']."</option>\n";
	echo "<option value='3'(".($data['bugtr_type'] == '3' ? " selected" : "").">".$locale['bugtr_t003']."</option>\n";
	echo "<option value='4'(".($data['bugtr_type'] == '4' ? " selected" : "").">".$locale['bugtr_t004']."</option>\n";
	echo "<option value='5'(".($data['bugtr_type'] == '5' ? " selected" : "").">".$locale['bugtr_t005']."</option>\n";
	echo "</select></td>\n</tr>\n<tr>\n";
	echo "<td valign='top' class='tbl'><strong>".$locale['bugtr_a008']."</strong></td>\n";
    echo"<td class='tbl'><select name='bugtr_cdiff' class='textbox' style='width:120px;'>\n";
	echo "<option value='0'(".($data['bugtr_cdiff'] == '0' ? " selected" : "").">".$locale['bugtr_di000']."</option>\n";
	echo "<option value='1'(".($data['bugtr_cdiff'] == '1' ? " selected" : "").">".$locale['bugtr_di001']."</option>\n";
	echo "<option value='2'(".($data['bugtr_cdiff'] == '2' ? " selected" : "").">".$locale['bugtr_di002']."</option>\n";
	echo "<option value='3'(".($data['bugtr_cdiff'] == '3' ? " selected" : "").">".$locale['bugtr_di003']."</option>\n";
	echo "<option value='4'(".($data['bugtr_cdiff'] == '4' ? " selected" : "").">".$locale['bugtr_di004']."</option>\n";
	echo "<option value='5'(".($data['bugtr_cdiff'] == '5' ? " selected" : "").">".$locale['bugtr_di005']."</option>\n";
	echo "</select></td>\n</tr>\n<tr>\n";
	echo "<td valign='top' class='tbl'><strong>".$locale['bugtr_a009']."</strong></td>\n";
    echo"<td class='tbl'><select name='bugtr_cedit' class='textbox' style='width:120px;'>\n";
	echo "<option value='0'(".($data['bugtr_cedit'] == '0' ? " selected" : "").">".$locale['bugtr_a010']."</option>\n";
	echo "<option value='1'(".($data['bugtr_cedit'] == '1' ? " selected" : "").">".$locale['bugtr_a011']."</option>\n";
	echo "</select></td>\n</tr>\n<tr>\n";

    echo "<td align='center' colspan='2' class='tbl'>";
if (isset($_GET['action']) && $_GET['action'] == "edit") 
    echo "<input type='hidden' name='update_datestamp2' value='1' checked='checked' />\n";
	if(isset($_GET['action']) && $_GET['action'] == "edit"){
	echo "<input type='submit' name='add_bug' value='".$locale['bugtr_a012']."' class='button' style='align:center;' />\n"; } else {
    echo "<input type='submit' name='add_bug' value='".$locale['bugtr_a013']."' class='button' style='align:center;' />\n"; 
	}
    echo "</tr>\n</table>\n</form>\n";
closetable();

opentable($locale['bugtr_a004']);
echo "<table cellspacing='0' cellpadding='0' width='100%'>\n";
    echo "<tr>\n";
	echo "<td width='1%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>&#35;</strong></td>\n";
	echo "<td width='33%' class='tbl2'><strong>".$locale['bugtr_a015']."</strong></td>\n";
	echo "<td width='22%' class='tbl2'><strong>".$locale['bugtr_a016']."</strong></td>\n";
    echo "<td width='33%' class='tbl2'><strong>".$locale['bugtr_a017']."</strong></td>\n";
    echo "<td width='33%' class='tbl2'><strong>".$locale['bugtr_a018']."</strong></td>\n";
    echo "</tr>\n";
$result = dbquery(
	"SELECT bu.*, u.user_id, u.user_name, u.user_status 
	FROM ".DB_BUG_TRACKER." bu
	LEFT JOIN ".DB_USERS." u ON u.user_id=bu.bugtr_user
	ORDER BY bugtr_datestamp DESC
	LIMIT $rowstart,$bugs_perpage"
);
  
  $rows = dbcount("(bug_item)", DB_BUG_TRACKER);
if ($rows) {
	while($data = dbarray($result)) {
	    $etdata = dbquery("SELECT * FROM ".DB_BUG_TRACKER);
		$eudata = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$data['bugtr_euser']."'"));
        echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='text-align:center;white-space:nowrap'>".$data['bug_item']."</td>\n";
		echo "<td class='tbl1' style='white-space:nowrap'><a href='".INFUSIONS."bug_tracker/bug_list.php?bug_item=".$data['bug_item']."'>".$data['bugtr_item']."</td>\n";
		echo "<td class='tbl1' style='white-space:nowrap'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n"; // Developer as profile_link new in v1.01
        echo "<td class='tbl1' style='white-space:nowrap'>".showdate("%B %d %Y", $data['bugtr_datestamp'])."</td>\n";
        echo "<td class='tbl1' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;bug_item=".$data['bug_item']."' title='".$locale['bugtr_a019']."'><img src='".INFUSIONS."bug_tracker/images/edit.png' alt='".$locale['bugtr_a019']."' /></a>&nbsp;&nbsp;&nbsp;<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;bug_item=".$data['bug_item']."' title='".$locale['bugtr_a020']."'><img src='".INFUSIONS."bug_tracker/images/delete.png' alt='".$locale['bugtr_a020']."' /></a></td>\n";
        echo "</tr>\n";
    }
        echo "</table>\n";
if ($rows > $bugs_perpage) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$bugs_perpage,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n"; // New in v1.01
        } else {
        echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n<td class='tbl2' align='left'>".$locale['bugtr_a021']."</td></tr>\n</table>";
}
closetable();
       // Please dont remove the copyright!
       echo show_bugtrcopyright();
       // Please dont remove the copyright!

require_once THEMES."templates/footer.php";
?>