<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: development.php
| Author: DrunkeN
+--------------------------------------------------------+
| DF Development Panel
| Version: 1.02
| Author: Dark Fusion
| Develpers: DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."infusions_include.php";
require_once INCLUDES."comments_include.php";
require_once INCLUDES."bbcode_include.php";
require_once INFUSIONS."bug_tracker/includes/copyright.php";
include INFUSIONS."bug_tracker/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."bug_tracker/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."bug_tracker/locale/".$settings['locale'].".php";
    } else {
// Load the infusion's default locale file.
    include INFUSIONS."bug_tracker/locale/English.php";
}

    add_to_head("<link rel='stylesheet' href='".INFUSIONS."bug_tracker/includes/bug-tracker_styles.css' type='text/css' media='Screen' />");
    include INFUSIONS."bug_tracker/includes/bug-include.php";
	
	if (isset($_GET['bug_item']) && isnum($_GET['bug_item'])) {
     $bug_item = (isset($_GET['bug_item']) AND isnum($_GET['bug_item'])) ? $_GET['bug_item'] : "";
     
	 $bugtr_settings = dbarray(dbquery("SELECT * FROM ".DB_BUG_TRACKER_SETTINGS));

	  $maxsize = $bugtr_settings['bugtrs_max_filesize'];
      $valid_ext = $bugtr_settings['bugtrs_valid_file_ext'];
	  
	  // Delete File
	 if ((isset($_GET['action']) && $_GET['action'] == "fdelete") && (isset($_GET['bug_item']) && isnum($_GET['bug_item']))) {
		$result = dbquery("SELECT bugtr_filename FROM ".DB_BUG_TRACKER." WHERE bug_item='".$bug_item."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			if (!empty($data['bugtr_filename']) && file_exists(BUGTR_FILES.$data['bugtr_filename'])) {
			@unlink(BUGTR_FILES.$data['bugtr_filename']);
			}
			$result = dbquery("UPDATE ".DB_BUG_TRACKER." SET bugtr_filename = '".$bugtr_filename."' WHERE bug_item = '".$bug_item."'");
		}
		redirect(FUSION_SELF."?bug_item=".$data['bug_item']);
	 }
		
    if (isset($_POST['upload_file'])) {
	    $bugtr_filename = $_FILES['load_file']['name'];
	    $upload = upload_file("load_file", "", BUGTR_FILES, $valid_ext, $maxsize);
		if ($upload['error'] == 0) {
		$result = dbquery("UPDATE ".DB_BUG_TRACKER." SET bugtr_filename = '".$bugtr_filename."' WHERE bug_item = '".$bug_item."'");
        opentable($locale['bugtr_err000']);
        echo $locale['bugtr_err001'];
        closetable();
        } else {
        opentable($locale['bugtr_err002'].$upload['error']);
        if ($upload['error'] == 1) {
            echo $locale['bugtr_err002'];
            echo "<strong>".parsebytesize($upload['max_size'])."</strong>.";
        } elseif ($upload['error'] == 2) {
            echo $locale['bugtr_err004'];
            echo $locale['bugtr_err005']."<strong>".$upload['valid_ext']."</strong>.";
        } elseif ($upload['error'] == 3) {
            echo $locale['bugtr_err006'].$upload['query'];
        } elseif ($upload['error'] == 4) {
            echo $locale['bugtr_err007'];
        }
        closetable();
      }
	 }
	 
if (iADMIN && (isset($_GET['action']) && $_GET['action'] == "delete")) {
	 $result = dbquery("DELETE FROM ".DB_BUG_TRACKER." WHERE bug_item='".$bug_item."'");
	 redirect(FUSION_SELF); }
   
	 $data = dbarray(dbquery("SELECT * FROM ".DB_BUG_TRACKER." WHERE bug_item = '".$bug_item."'"));
	 $title = $data['bugtr_item'];
	 
    opentable($title);
    $result = dbquery("SELECT bu.*, u.user_id, u.user_name, u.user_status FROM ".DB_BUG_TRACKER." bu LEFT JOIN ".DB_USERS." u ON u.user_id=bu.bugtr_user WHERE bug_item='".$_GET['bug_item']."' LIMIT 0,1");
if(dbrows($result)) {
	while($data = dbarray($result)) {
	echo "<table width='100%' cellpadding='0' cellspacing='1'>";
	echo "<tbody><tr>";
	echo "<td class='tbl2' width='10%'><strong>".$locale['bugtr_001']."<strong></td>";
	echo "<td class='tbl1'>".$data['bugtr_item']." <strong>#".$data['bug_item']."</strong></td>";
	echo "</tr><tr>";
	echo "<td class='tbl2' width='10%'><strong>".$locale['bugtr_002']."<strong></td>";
	echo "<td class='tbl1'>".$bug_type[$data['bugtr_type']]."</td>\n";
	echo "</tr><tr>";
	echo "<td class='tbl2' width='10%'><strong>".$locale['bugtr_003']."<strong></td>";
	echo "<td class='tbl1'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])." - ".showdate("%B %d %Y %H:%M", $data['bugtr_datestamp'])."</td>";
	echo "</tr><tr>";
	echo "<td class='tbl2' width='10%'><strong>".$locale['bugtr_004']."</strong></td>";
	echo "<td class='tbl1'>".$core_edit[$data['bugtr_cedit']]."  <div style='float:right;'><strong>".$locale['bugtr_005']."</strong> ".$bug_cdiff[$data['bugtr_cdiff']]."</div></td>\n";
	echo "</tr><tr>";
	echo "<td class='tbl2' width='10%'><strong>".$locale['bugtr_006']."</strong></td>";
	echo "<td class='tbl1'>".$locale['bugtr_007']." <strong>v".$data['bugtr_fusionv']."</strong></td>\n";
	echo "</tr><tr>";
	echo "<td class='tbl2' width='10%'><strong>".$locale['bugtr_008']."</strong></td>";
	echo "<td class='tbl1'>".($data['bugtr_filename'] =='' ? $locale['bugtr_009'] : profile_link($data['user_id'], $data['user_name'], $data['user_status']).$locale['bugtr_009b']."<br /><a onclick='confirmation()' href='".BUGTR_FILES.$data['bugtr_filename']."'>".$data['bugtr_filename'])."</a>\n";
	if (($data['bugtr_filename']) && ($data['bugtr_user'] == $userdata['user_id']) || ($data['bugtr_filename'] && iADMIN)) { echo "&nbsp;[<a href='".FUSION_SELF."?bug_item=".$_GET['bug_item']."&amp;action=fdelete&amp;bugtr_filename=".$data['bugtr_filename']."'>".$locale['bugtr_010']."</a>]\n";
	}
	echo "</td>\n";	
	echo "</tr><tr>";
	echo "</tbody></table>";

	$edata = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id = '".$data['bugtr_euser']."'"));
    echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'><tr>";
	echo "<td class='tbl2'><strong>".$locale['bugtr_011']."</strong>";
if (checkrights('DFSU')) { echo "<div style='float:right;' class='small'><a href='".INFUSIONS."bug_tracker/admin/bug_tracker_admin.php".$aidlink."&amp;action=edit&amp;bug_item=".$data['bug_item']."' title='".$locale['bugtr_012']."'>[".$locale['bugtr_012']."]</a> - <a href='".INFUSIONS."bug_tracker/admin/bug_tracker_admin.php".$aidlink."&amp;action=delete&amp;bug_item=".$data['bug_item']."' title='".$locale['bugtr_013']."'>[".$locale['bugtr_013']."]</a></div>"; }
	echo "</td></tr>";
	echo "<tr><td class='tbl1'>".nl2br(parseubb($data['bugtr_message']));
	if ($data['bugtr_datestamp2']) {
    echo "\n<hr />\n<span class='small'>".$locale['bugtr_014'].profile_link($edata['user_id'], $edata['user_name'], $edata['user_status']).$locale['bugtr_015'].showdate("%B %d %Y %H:%M", $data['bugtr_datestamp2'])."</span>\n";
	if ($data['bugtr_ereason'] != "" && iMEMBER) {
	echo "<br /><span class='small'><div id='spoilerhead' class='thead' style='margin-top:2px;'><a refh='#'><span style='color:#ff0000;'>".$locale['bugtr_016']."</span></a></div>";
	echo "<div id='spoilercontent' class='alt'>";
	echo "<br />".nl2br(parseubb($data['bugtr_ereason']))."</span>\n";
	echo "</div>\n";
	  }
	}
	echo "</td></tr>";
	echo "</table>";
closetable();

if ($data['bugtr_user'] == $userdata['user_id']) {	
	opentable($locale['bugtr_017']);
	    if (($data['bugtr_filename'] =='') && ($data['bugtr_user'] == $userdata['user_id'])) {
	    echo "<form name='uploadform' id='inputform' method='post' action='".FUSION_SELF."?bug_item=".$data['bug_item']."' enctype='multipart/form-data'>";
	    echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'><tr>\n";
	    echo "<td class='tbl1'>".$locale['bugtr_018']."</td>\n";
	    echo "<td class='tbl1'><input type='file' name='load_file' class='textbox' /><br />".$locale['bugtr_019'].parsebytesize($maxsize)."</td>\n";
	    echo "</tr><tr>\n";
	    echo "<td class='tbl1' colspan='2' align='center'><input type='submit' name='upload_file' value='".$locale['bugtr_020']."' class='button' /></td>\n";
	    echo "</tr>\n</table>\n";
	    echo "</form>\n";
	    } else {
        echo $locale['bugtr_021'];	
       }		
   closetable();
	}
	 require_once INFUSIONS."bug_tracker/includes/link-to_include.php";
    // Please dont remove the copyright!
    echo show_bugtrcopyright();
    // Please dont remove the copyright!
   showcomments("BU", DB_BUG_TRACKER, "bug_item", $bug_item, FUSION_SELF."?bug_item=".$bug_item);
  }
}
} else {
	
if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
	$rowstart = $_GET['rowstart'];
  } else {
	$rowstart = 0;
}
    $bugtr_settings = dbarray(dbquery("SELECT * FROM ".DB_BUG_TRACKER_SETTINGS));
    $bugs_perpage = $bugtr_settings['bugtrs_bugs_perpage'];
	
    require_once INFUSIONS."bug_tracker/includes/intro_include.php";
    opentable($locale['bugtr_022']);
    echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
    echo "<tr><td width='1%' class='tbl2' style='text-align:center;white-space:nowrap'>#</td>";
    echo "<td class='tbl2' width='20%'><strong>".$locale['bugtr_023']; if(checkrights('BUTR')) { echo " [<a href='".INFUSIONS."bug_tracker/admin/bug_tracker_admin.php".$aidlink."' title='".$locale['bugtr_024']."'>".$locale['bugtr_025']."</a>]"; }
	echo "</strong></td>";
    echo "<td align='center' width='165' class='tbl2'><strong>".$locale['bugtr_026']."</strong></td>";
	echo "<td align='center' width='165' class='tbl2'><strong>".$locale['bugtr_027']."</strong></td>";
	echo "<td align='center' width='165' class='tbl2'><strong>".$locale['bugtr_028']."</strong></td>";
	echo "<td align='center' width='165' class='tbl2'><strong>".$locale['bugtr_029']."</strong></td>";
    echo "</tr>\n";
    $result = dbquery("SELECT bu.*, u.user_id, u.user_name, u.user_status, COUNT(comment_item_id) AS bugtr_comments FROM ".DB_BUG_TRACKER." bu LEFT JOIN ".DB_USERS." u ON u.user_id=bu.bugtr_user LEFT JOIN ".DB_COMMENTS." ON bu.bug_item=comment_item_id AND comment_type='BU' GROUP BY bug_item ORDER BY bugtr_datestamp DESC LIMIT $rowstart,$bugs_perpage");
    $rows = dbcount("(bug_item)", DB_BUG_TRACKER);
if($rows) {
    while($data = dbarray($result)) {
	if ($data['bugtr_datestamp']+86999 > time()+($settings['timeoffset']*3600)) {
	$bugtr_new = "<img src='".INFUSIONS."bug_tracker/images/new.png' alt='".$locale['bugtr_030']."' title='".$locale['bugtr_030']."' />";
	} else {
	$bugtr_new = "";
	}
    include INFUSIONS."bug_tracker/includes/bug-include.php";
    echo "<tr><td align='left' class='tbl1'>".$data['bug_item']."</td>\n";
    echo "<td class='tbl1'>".$bugtr_new." <a href='".INFUSIONS."bug_tracker/bug_list.php?bug_item=".$data['bug_item']."'>".trimlink($data['bugtr_item'], 20)."</a>".($data['bugtr_filename'] == '' ? "" : "<img src='".INFUSIONS."bug_tracker/images/have_file.png' border='0'  alt='Have file included' title='Have file included' style='vertical-align:middle;' />")."</td>";
    echo "<td align='center' class='tbl1'>".$bug_type[$data['bugtr_type']]."</td>\n";
	echo "<td align='center' class='tbl1'>".showdate("%B %d %Y, %H:%M", $data['bugtr_datestamp'])."</td>\n";
    echo "<td align='center' class='tbl1'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
	echo "<td align='center' class='tbl1'>".$data['bugtr_comments']."</td>\n";
	echo "</tr>"; 
	}
    echo "</table>\n";
if ($rows > $bugs_perpage) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$bugs_perpage,$rows,3,FUSION_SELF."?")."\n</div>\n";
    } else { echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n<td class='tbl2' align='left'>".$locale['bugtr_031']."</td></tr>\n</table>"; }
    echo "<div class='side small' style='text-align:right; color:#000;'>".$locale['bugtr_copyright2']."</div>\n";
closetable();
    // Please dont remove the copyright!
    echo show_bugtrcopyright();
    // Please dont remove the copyright!
	}
	

$conf =	dbarray(dbquery("SELECT * FROM ".DB_BUG_TRACKER." WHERE bug_item = '".$bug_item."'"));
add_to_footer("<script type='text/javascript'>
<!--
function confirmation() {
	var answer = confirm('".$locale['bugtr_co001'].$conf['bugtr_filename']."')
	if (answer){
		alert('".$locale['bugtr_co002']."')
	}
}
//-->
</script>");
add_to_footer("
<script type='text/javascript'>
	$(document).ready(function(){
		$('#spoilercontent').hide();
		$('#spoilerhead').click(function () {
			if ($('#spoilercontent').is(':hidden')) {
				$('#spoilercontent').slideDown('fast');
			} else {
				$('#spoilercontent').slideUp('slow');
			}
		});
	});
</script>
");


require_once THEMES . "templates/footer.php";
?>