<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: dev-percent_include.php
| Version: 1.02
| Author: Dark Fusion
| Developers: DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("BUGTR_FILES", INFUSIONS."bug_tracker/files/");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."bug_tracker/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."bug_tracker/locale/".$settings['locale'].".php";
    } else {
// Load the infusion's default locale file.
    include INFUSIONS."bug_tracker/locale/English.php";
}


$bug_cdiff = array(	
                 0 => "<img src='".INFUSIONS."bug_tracker/images/bug_diffimg/difficulty0.gif' border='0'  alt='' style='vertical-align:middle;' />",
				 1 => "<img src='".INFUSIONS."bug_tracker/images/bug_diffimg/difficulty1.gif' border='0'  alt='' style='vertical-align:middle;' />",
				 2 => "<img src='".INFUSIONS."bug_tracker/images/bug_diffimg/difficulty2.gif' border='0'  alt='' style='vertical-align:middle;' />",
				 3 => "<img src='".INFUSIONS."bug_tracker/images/bug_diffimg/difficulty3.gif' border='0'  alt='' style='vertical-align:middle;' />",
				 4 => "<img src='".INFUSIONS."bug_tracker/images/bug_diffimg/difficulty4.gif' border='0'  alt='' style='vertical-align:middle;' />",
				 5 => "<img src='".INFUSIONS."bug_tracker/images/bug_diffimg/difficulty5.gif' border='0'  alt='' style='vertical-align:middle;' />"
);	
			 
$bug_type = array(
	             0 => $locale['bugtr_t000'],
	             1 => $locale['bugtr_t001'],
                 2 => $locale['bugtr_t002'],
                 3 => $locale['bugtr_t003'],
                 4 => $locale['bugtr_t004'],
                 5 => $locale['bugtr_t005']
);	

$core_edit = array(
	             0 => $locale['bugtr_a010'],
				 1 => $locale['bugtr_a010']
);	

?>
