<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| DF Development Panel
| Version: 1.02
| Author: Dark Fusion
| Develpers: DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."bug_tracker/infusion_db.php";

if (file_exists(INFUSIONS."bug_tracker/locale/".$settings['locale'].".php")) {
    include INFUSIONS."bug_tracker/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."bug_tracker/locale/English.php";
}

$inf_title = $locale['BUGTR_TITLE'];
$inf_version = "1.00";
$inf_developer = "DrunkeN";
$inf_weburl = "http://dark-fusion.se";
$inf_email = "pimp_89_cool@hotmail.com";
$inf_folder = "bug_tracker";
$inf_description = $locale['BUGTR_DESC'];

$inf_newtables = 1;
$inf_insertdbrows = 1;
$inf_altertables = 0;
$inf_deldbrows = 1;

$inf_newtable[1] = DB_BUG_TRACKER." (
  bug_item SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  bugtr_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  bugtr_euser MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  bugtr_item VARCHAR(50) NOT NULL DEFAULT '',
  bugtr_type TINYINT(1) DEFAULT '0' NOT NULL,
  bugtr_message TEXT NOT NULL,
  bugtr_cedit TINYINT(1) DEFAULT '0' NOT NULL,
  bugtr_cdiff TINYINT(1) DEFAULT '0' NOT NULL,
  bugtr_fusionv VARCHAR(8) NOT NULL DEFAULT '',
  bugtr_filename VARCHAR(50) DEFAULT '' NOT NULL,
  bugtr_datestamp int(10) UNSIGNED NOT NULL default '0',
  bugtr_datestamp2 int(10) UNSIGNED NOT NULL default '0',
  bugtr_ereason TEXT NOT NULL,
  PRIMARY KEY  (bug_item)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_BUG_TRACKER_SETTINGS." (
  bugtrs_bugs_perpage varchar(10) DEFAULT '0' NOT NULL,
  bugtrs_max_filesize varchar(30) NOT NULL default '',
  bugtrs_valid_file_ext varchar(100) NOT NULL default '',
  bugtrs_intro_text TEXT NOT NULL
) TYPE=MyISAM;";

$inf_droptable[1] = DB_BUG_TRACKER;
$inf_droptable[2] = DB_BUG_TRACKER_SETTINGS;

$inf_insertdbrow[1] = DB_PANELS." (panel_name, panel_filename, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES('".$locale['BUGTR_TITLE']."', '".$inf_folder."', '1', '2', 'file', '0', '1', '1')";
$inf_insertdbrow[2] = DB_BUG_TRACKER_SETTINGS." (bugtrs_bugs_perpage, bugtrs_max_filesize, bugtrs_valid_file_ext, bugtrs_intro_text)VALUES('20', '2097152', '.zip, .rar, .tas, .bz2, .z7', 'Welcome to our bug tracker.')";
$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='$inf_folder'";
$inf_deldbrow[2] = DB_COMMENTS." WHERE comment_type='BU'";

$inf_adminpanel[1] = array(
    "title" => $locale['BUGTR_ADMIN'], 
    "image" => "bug_tracker.png",
    "panel" => "admin/bug_tracker_admin.php", 
    "rights" => "BUTR" 
);

$inf_sitelink[1] = array(
	"title" => "Bug Tracker",
	"url" => "bug_list.php",
	"visibility" => "0"
);

?>