<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: development_settings.php
| Author: DrunkeN
+--------------------------------------------------------+
| DF Development Panel
| Version: 1.02
| Author: Dark Fusion
| Develpers: DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."bug_tracker/infusion_db.php";
include INFUSIONS."bug_tracker/includes/copyright.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."bug_tracker/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."bug_tracker/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."bug_tracker/locale/English.php";
}

if (!checkrights("BUTR") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied. Administrators only."); }
		
    include INFUSIONS."bug_tracker/admin/bug_tracker_navigation.php";

$bugtr_settings = dbarray(dbquery("SELECT * FROM ".DB_BUG_TRACKER_SETTINGS));

if (isset($_POST['save_bugtr_settings'])) {
	$bugtrs_bugs_perpage = stripinput($_POST['bugtrs_bugs_perpage']);
	$bugtrs_max_filesize = stripinput($_POST['bugtrs_max_filesize']);
	$bugtrs_valid_file_ext = stripinput($_POST['bugtrs_valid_file_ext']);
	$bugtrs_intro_text = stripinput($_POST['bugtrs_intro_text']);
    $result = dbquery("UPDATE ".DB_BUG_TRACKER_SETTINGS." SET bugtrs_bugs_perpage='".$bugtrs_bugs_perpage."', bugtrs_max_filesize='".$bugtrs_max_filesize."', bugtrs_valid_file_ext='".$bugtrs_valid_file_ext."', bugtrs_intro_text='".$bugtrs_intro_text."'");
	redirect(FUSION_SELF.$aidlink);
}

 $bugtr_settings_data = dbarray(dbquery("SELECT * FROM ".DB_BUG_TRACKER_SETTINGS));
 opentable($locale['bugtr_as001']);
 require_once INCLUDES."bbcode_include.php";
  echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  echo "<table align='center' width='100%' cellspacing='1' cellpadding='0'>\n<tr>\n";
  echo "<td width='50%' class='tbl'><strong>".$locale['bugtr_as002']."</strong></td>\n";
  echo "<td width='50%' class='tbl'><input type='text' name='bugtrs_bugs_perpage' value='".$bugtr_settings_data['bugtrs_bugs_perpage']."' maxlength='222' class='textbox' style='width:100px;' /></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td width='50%' class='tbl'><strong>".$locale['bugtr_as003']."</strong></td>\n";
  echo "<td width='50%' class='tbl'><input type='text' name='bugtrs_max_filesize' value='".$bugtr_settings_data['bugtrs_max_filesize']."' maxlength='10' class='textbox' style='width:250px;' /></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td width='50%' class='tbl'><strong>".$locale['bugtr_as004']."</strong></td>\n";
  echo "<td width='50%' class='tbl'><input type='text' name='bugtrs_valid_file_ext' value='".$bugtr_settings_data['bugtrs_valid_file_ext']."' maxlength='150' class='textbox' style='width:200px;' /></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td width='50%' class='tbl'><strong>".$locale['bugtr_as005']."</strong></td>\n";
  echo "<td width='50%' class='tbl'><textarea name='bugtrs_intro_text' cols='60' rows='6' class='textbox' style='width:300px;'>".$bugtr_settings_data['bugtrs_intro_text']."</textarea><br />\n";
  echo display_bbcodes("300px", "bugtrs_intro_text", "inputform")."\n";
  echo "</td>\n</tr>\n<tr>\n";
  echo "<td align='center' colspan='2' class='tbl'>";
  echo "<input type='submit' name='save_bugtr_settings' value='".$locale['bugtr_as006']."' class='button' style='align:center;' />\n";
  echo "</tr>\n</table>\n</form>\n";
closetable();
// Please dont remove the copyright!
echo show_bugtrcopyright();
// Please dont remove the copyright!

require_once THEMES."templates/footer.php";
?>