<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: bug_tracker.php
| Author: DrunkeN
+--------------------------------------------------------+
| DF Development Infusion
| Version: 1.02
| Author: Dark Fusion
| Develpers: DrunkeN
| Site: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
if (!defined("IN_FUSION")) {  die("Access Denied"); }

include INFUSIONS."bug_tracker/infusion_db.php";
require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."bug_tracker/locale/".$settings['locale'].".php")) {
    include INFUSIONS."bug_tracker/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."bug_tracker/locale/English.php";
}


openside($locale['bugtr_pa001']);
  $bug_item = (isset($_GET['bug_item']) AND isnum($_GET['bug_item'])) ? $_GET['bug_item'] : "";
  echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
  $result = dbquery("SELECT bu.*, u.user_id, u.user_name, u.user_status FROM ".DB_BUG_TRACKER." bu LEFT JOIN ".DB_USERS." u ON u.user_id=bu.bugtr_user ORDER BY bugtr_datestamp DESC LIMIT 0,6" );
  if (dbrows($result)) {
  while($data = dbarray($result)) {
  include INFUSIONS."bug_tracker/includes/bug-include.php";
  echo "<tr>\n";
  echo "<td class='tbl1' style='text-align:left;'><strong>#".$data['bug_item']."</strong></td>";
  echo "<td class='tbl1' style='text-align:left;'><a href='".INFUSIONS."bug_tracker/bug_list.php?bug_item=".$data['bug_item']."'>".trimlink($data['bugtr_item'], 30)."</a></td>";
  echo "</tr>\n";
}
echo "</table>\n";
} else {
    echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n<td class='tbl2' align='left'>".$locale['bugtr_pa002']."</td></tr>\n</table>";
}
echo"<div class='side small' style='text-align:right; color:#000;'>".$locale['bugtr_copyright2']."</div>\n";
closeside();

?>