<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: projects-intro_include.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."bug_tracker/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."bug_tracker/locale/".$settings['locale'].".php";
    } else {
// Load the infusion's default locale file.
    include INFUSIONS."bug_tracker/locale/English.php";
}

    include INFUSIONS."bug_tracker/infusion_db.php";
    require_once INCLUDES."bbcode_include.php";

	opentable($locale['bugtr_intro']);
	$bugtr_settings = dbarray(dbquery("SELECT * FROM ".DB_BUG_TRACKER_SETTINGS));
	echo nl2br(parseubb($bugtr_settings['bugtrs_intro_text']));
	closetable();
?>
