<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: English.php
| Author: DrunkeN
| URL: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
/* Titles */
$locale['BUGTR_TITLE'] = "Bug Tracker";
$locale['BUGTR_DESC']  = "A simple tracker there you can store all bug fixes for your mods.";
$locale['BUGTR_ADMIN'] = "Bug Tracker Admin";
/* Admin => Messages */
$locale['bugtr_am001'] = "Bug item added";
$locale['bugtr_am002'] = "Bug item ";
$locale['bugtr_am003'] = "has been updated";
$locale['bugtr_am004'] = "Bug item has been deleted";
$locale['bugtr_am005'] = "Opps it looks like something is missing!";
/* Admin */
$locale['bugtr_a001'] = "Update bug item";
$locale['bugtr_a002'] = "Add bug item";
$locale['bugtr_a003'] = "Item:";
$locale['bugtr_a004'] = "Text:";
$locale['bugtr_a005'] = "Edit note:";
$locale['bugtr_a006'] = "Fusion version:";
$locale['bugtr_a007'] = "Type:";
$locale['bugtr_a008'] = "Difficulty:";
$locale['bugtr_a009'] = "Core edit?:";
$locale['bugtr_a010'] = "Yes";
$locale['bugtr_a011'] = "No";
$locale['bugtr_a012'] = "Edit bug item";
$locale['bugtr_a013'] = "Add bug item";
$locale['bugtr_a014'] = "Bug Item List";
$locale['bugtr_a015'] = "Item";
$locale['bugtr_a016'] = "Fix by";
$locale['bugtr_a017'] = "Added";
$locale['bugtr_a018'] = "Action";
$locale['bugtr_a019'] = "Edit";
$locale['bugtr_a020'] = "Delete";
$locale['bugtr_a021'] = "No bugs fixes added";
/* Admin => Settings */
$locale['bugtr_as001'] = "Settings For Bug Tracker";
$locale['bugtr_as002'] = "Bugs perpage";
$locale['bugtr_as003'] = "Max filesize";
$locale['bugtr_as004'] = "File types";
$locale['bugtr_as005'] = "Intro text";
$locale['bugtr_as006'] = "Save settings";
/* Admin => Navigation */
$locale['bugtr_an001'] = "Admin navigation";
$locale['bugtr_an002'] = "Admin index";
$locale['bugtr_an003'] = "Settings";
/* Types */
$locale['bugtr_t000'] = "Infusion bug";
$locale['bugtr_t001'] = "Core bug";
$locale['bugtr_t002'] = "Theme bug";
$locale['bugtr_t003'] = "BBCode bug";
$locale['bugtr_t004'] = "User field bug";
$locale['bugtr_t005'] = "Forum bug";
/* Difficulty */
$locale['bugtr_di000'] = "Easy";
$locale['bugtr_di001'] = "Simple";
$locale['bugtr_di002'] = "Hard";
$locale['bugtr_di003'] = "Difficult";
$locale['bugtr_di004'] = "Very difficult";
$locale['bugtr_di005'] = "Need good experince";
/* Page */
$locale['bugtr_001'] = "Bug item:";
$locale['bugtr_002'] = "Bug type:";
$locale['bugtr_003'] = "Fix by:";
$locale['bugtr_004'] = "Core edit?:";
$locale['bugtr_005'] = "Difficulty:";
$locale['bugtr_006'] = "Compatable:";
$locale['bugtr_007'] = "With PHP Fusion";
$locale['bugtr_008'] = "Files:";
$locale['bugtr_009'] = "None";
$locale['bugtr_009b'] = " have upload a file below";
$locale['bugtr_010'] = "Delete file";
$locale['bugtr_011'] = "Item description";
$locale['bugtr_012'] = "Edit";
$locale['bugtr_013'] = "Delete";
$locale['bugtr_014'] = "Last edited by: ";
$locale['bugtr_015'] = " at ";
$locale['bugtr_016'] = "[Edit note]";
$locale['bugtr_017'] = "Upload File";
$locale['bugtr_018'] = "Upload File";
$locale['bugtr_019'] = "Max filesize: ";
$locale['bugtr_020'] = "Upload File";
$locale['bugtr_021'] = "An file is already uploaded";
$locale['bugtr_022'] = "Bug Tracker";
$locale['bugtr_023'] = "Bug item";
$locale['bugtr_024'] = "Add bug fix";
$locale['bugtr_025'] = "Add";
$locale['bugtr_026'] = "Bug type";
$locale['bugtr_027'] = "Bug added";
$locale['bugtr_028'] = "Fix by";
$locale['bugtr_029'] = "Comments";
$locale['bugtr_030'] = "New Bug";
$locale['bugtr_031'] = "No bug fixes adde yet";
/* Page => Confirm */
$locale['bugtr_co001'] = "You will now download bug item file ";
$locale['bugtr_co002'] = "Thanks for you download our fixes";
/* Page => Errors */
$locale['bugtr_err000'] = "File Loaded";
$locale['bugtr_err001'] = "The file was uploaded successfully";
$locale['bugtr_err002'] = "Error ";
$locale['bugtr_err003'] = "The uploaded file exceeded the upload limit of\n";
$locale['bugtr_err004'] = "The uploaded file has an invalid file extension,\n";
$locale['bugtr_err005'] = "valid extensions are ";
$locale['bugtr_err006'] = "An invalid query, please check your query: ";
$locale['bugtr_err007'] = "File not uploaded. Reason unknown";
/* Panel */
$locale['bugtr_pa001'] = "Bugs";
$locale['bugtr_pa002'] = "No bug fixes added yet!";
/* Intro */
$locale['bugtr_intro'] = "Welcome to bug tracker";
/* Link to bug item */
$locale['bugtr_linkto001'] = "Link to ";
$locale['bugtr_linkto002'] = "Link";
$locale['bugtr_linkto003'] = "BBCode";
$locale['bugtr_linkto004'] = "HTML";

/* Copyright  */
$locale['bugtr_copyright'] = "<small>&copy; <a target='_blank' href='http://www.dark-fusion.se/'>Dark Fusion</a></small>";
$locale['bugtr_copyright2'] = "<span  title='Bug tracker v1.00  2011 Dark Fusion'><a href='http://www.dark-fusion.se/'>&copy;</a></span>";

?>